@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-regular-rounded/css/uicons-regular-rounded.css");
@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-brands/css/uicons-brands.css");
@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-solid-straight/css/uicons-solid-straight.css");
@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-solid-rounded/css/uicons-solid-rounded.css");
@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-bold-rounded/css/uicons-bold-rounded.css");
@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-thin-rounded/css/uicons-thin-rounded.css");
@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-thin-rounded/css/uicons-thin-rounded.css");
@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-regular-straight/css/uicons-regular-straight.css");
@import url("https://cdn-uicons.flaticon.com/2.5.1/uicons-thin-rounded/css/uicons-thin-rounded.css");

:root {
	--color-primary: #23324c;
	--color-primary-96: #23324cf5;
	--color-primary-88: #23324ce0;
	--color-primary-80: #23324ccc;
	--color-primary-72: #23324cb8;
	--color-primary-64: #23324ca3;
	--color-primary-56: #23324c8f;
	--color-primary-48: #23324c7a;
	--color-primary-32: #23324c52;
	--color-primary-24: #23324c3d;
	--color-primary-16: #23324c29;
	--color-primary-08: #23324c14;
	--color-primary-04: #23324c0a;
	--color-primary-02: #23324c05;

	--color-white: #ffffff;
	--color-white-96: #fffffff5;
	--color-white-88: #ffffffe0;
	--color-white-80: #ffffffcc;
	--color-white-72: #ffffffb8;
	--color-white-64: #ffffffa3;
	--color-white-56: #ffffff8f;
	--color-white-48: #ffffff7a;
	--color-white-32: #ffffff52;
	--color-white-24: #ffffff3d;
	--color-white-16: #ffffff29;
	--color-white-08: #ffffff14;
	--color-white-04: #ffffff0a;
	--color-white-02: #ffffff05;

	--color-white-fixed: #ffffff;
	--color-white-96-fixed: #fffffff5;
	--color-white-88-fixed: #ffffffe0;
	--color-white-80-fixed: #ffffffcc;
	--color-white-72-fixed: #ffffffb8;
	--color-white-64-fixed: #ffffffa3;
	--color-white-56-fixed: #ffffff8f;
	--color-white-48-fixed: #ffffff7a;
	--color-white-32-fixed: #ffffff52;
	--color-white-24-fixed: #ffffff3d;
	--color-white-16-fixed: #ffffff29;
	--color-white-08-fixed: #ffffff14;
	--color-white-04-fixed: #ffffff0a;
	--color-white-02-fixed: #ffffff05;

	--color-dark: #23324c;
	--color-dark-96: #23324cf5;
	--color-dark-88: #23324ce0;
	--color-dark-80: #23324ccc;
	--color-dark-72: #23324cb8;
	--color-dark-64: #23324ca3;
	--color-dark-56: #23324c8f;
	--color-dark-48: #23324c7a;
	--color-dark-32: #23324c52;
	--color-dark-24: #23324c3d;
	--color-dark-16: #23324c29;
	--color-dark-08: #23324c14;
	--color-dark-04: #23324c0a;
	--color-dark-02: #23324c05;

	--color-yellow: #fec514;
	--color-yellow-04: #fec5140a;
	--color-yellow-08: #fec51414;
	--color-yellow-16: #fec51429;
	--color-yellow-24: #fec5143d;
	--color-yellow-88: #fec514e0;

	--color-orange: #ff6300;
	--color-orange-08: #ff630014;
	--color-orange-16: #ff630029;
	--color-orange-24: #ff63003d;
	--color-orange-88: #ff6300e0;
	--color-orange-96: #ff6300f5;

	--color-blue: #0657a3;
	--color-blue-04: #0657a30a;
	--color-blue-08: #0657a314;
	--color-blue-16: #0657a329;
	--color-blue-24: #0657a33d;
	--color-blue-88: #0657a3e0;
	--color-blue-96: #0657a3f5;

	--color-purple: #6e17b0;
	--color-purple-88: #6e17b0e0;

	--color-green: #00bfb3;
	--color-green-04: #00bfb30a;
	--color-green-08: #00bfb314;
	--color-green-16: #00bfb329;
	--color-green-24: #00bfb33d;
	--color-green-88: #00bfb3e0;
	--color-green-96: #00bfb3f5;

	--color-red: #f0425f;
	--color-red-04: #f0425f0a;
	--color-red-08: #f0425f14;
	--color-red-16: #f0425f29;
	--color-red-24: #f0425f3d;
	--color-red-88: #f0425fe0;
	--color-red-96: #f0425ff5;
}

.mode-dark {
	--color-dark: #ffffff;
	--color-dark-96: #fffffff5;
	--color-dark-88: #ffffffe0;
	--color-dark-80: #ffffffcc;
	--color-dark-72: #ffffffb8;
	--color-dark-64: #ffffffa3;
	--color-dark-56: #ffffff8f;
	--color-dark-48: #ffffff7a;
	--color-dark-32: #ffffff52;
	--color-dark-24: #ffffff3d;
	--color-dark-16: #ffffff29;
	--color-dark-08: #ffffff14;
	--color-dark-04: #ffffff0a;
	--color-dark-02: #ffffff05;

	--color-white: #001524;
	--color-white-96: #001524f5;
	--color-white-88: #001524e0;
	--color-white-80: #001524cc;
	--color-white-72: #001524b8;
	--color-white-64: #001524a3;
	--color-white-56: #0015248f;
	--color-white-48: #0015247a;
	--color-white-32: #00152452;
	--color-white-24: #0015243d;
	--color-white-16: #00152429;
	--color-white-08: #00152414;
	--color-white-04: #0015240a;
	--color-white-02: #00152405;
}

* {
	font-family: "Poppins", sans-serif;

	line-height: normal;
}

html,
body {
	color: var(--color-dark);
	background: var(--color-white);

	font-size: 16px;
}

@media (max-width: 1400px) {
	html,
	body {
		font-size: 12px;
	}
}

body {
	max-width: 100vw;

	overflow-x: hidden;
}

ul {
	padding: 0;
	margin: 0;
	list-style: none;
}

a,
a.link,
a:link,
a:hover {
	text-decoration: none;

	color: var(--color-dark);
}

a:hover {
	opacity: 0.7;
}

.text-primary {
	color: var(--color-primary) !important;
}

i.fi {
	width: 1rem;
	height: 1rem;

	line-height: 1;

	display: inline-flex;
	justify-content: center;
	align-items: center;
}

/* loadings */

div.loading-full {
	position: absolute;

	width: 100%;
	height: 100%;

	left: 0;
	top: 0;

	background: var(--color-white-96);

	display: flex;
	align-items: center;
	justify-content: center;

	z-index: 88;
}

span.loader {
	display: flex;
	justify-content: center;
}

span.loader::before {
	content: "";

	display: block;

	width: 3rem;
	aspect-ratio: 1;
	border-radius: 50%;
	background: radial-gradient(farthest-side, var(--color-primary) 94%, #0000) top/.25rem 0.25rem no-repeat, conic-gradient(#0000 30%, var(--color-primary));
	-webkit-mask: radial-gradient(farthest-side, #0000 calc(100% - 0.25rem), #000 0);
	animation: loader 1s infinite linear;
}

span.loader.small::before {
	width: 2rem !important;
}

@keyframes loader {
	100% {
		transform: rotate(1turn);
	}
}

/* modal */

.modal.show.modal-static .modal-dialog {
	transform: none !important;
}

.modal-content {
	border: 0;

	border-radius: 1rem;

	background: var(--color-white);
}

.modal-backdrop {
	opacity: 1 !important;

	background: var(--color-dark-64);

	backdrop-filter: blur(0.25rem);
}

.modal-content > div.header {
	display: flex;
	align-items: center;

	padding: 1rem 1rem 0 1.5rem;

	position: absolute;

	width: 100%;
}

.modal-content > div.header:has(> span.title) {
	padding: 1rem 1rem 1rem 1.5rem;

	border-bottom: 2px solid var(--color-dark-16);

	position: relative;
}

.modal-content > div.body {
	padding: 1rem 1.5rem 1.5rem;
}

.modal-content:not(:has(> div.header > span.title)) > div.body {
	padding: 1.25rem 1.5rem 1.5rem;
}

.modal-content > div.header > span.title {
	font-weight: 600;
	font-size: 1.15rem;

	color: var(--color-dark);
}

.modal-content > div.header > button.close {
	margin: 0;
	margin-left: auto;
	padding: 0;

	display: flex;
	align-items: center;
	justify-content: center;

	width: clamp(1.75rem, 1.75rem, 1.75rem);
	height: clamp(1.75rem, 1.75rem, 1.75rem);

	font-size: 1.75rem;

	color: var(--color-dark);
}

.modal-content > .header:not(:has(> span.title)) > button.close {
	position: absolute;

	right: 1rem;
	top: 1rem;
}

/* buttons */

button {
	padding: 0;
	margin: 0;

	background: transparent;
	border: 0;
}

.buttons {
	display: flex;
	align-items: center;
	gap: 0.5rem;
}

.buttons.end {
	justify-content: flex-end;
}

.btn:disabled,
.btn.disabled {
	opacity: 0.4;
}

.btn,
.btn:active {
	font-size: 1rem;

	border: 0px;

	display: inline-flex;
	align-items: center;
	justify-content: center;

	padding: 0.75rem 1.25rem;

	border-radius: 0.75rem;

	transition: all 0s;

	font-weight: 600;
}

.btn:has(> i.lock) {
	opacity: 0.5;

	pointer-events: none;
}

.btn > i.lock {
	margin-left: auto;
	padding-left: 0.5rem;

	width: auto;

	font-size: 0.75rem !important;
}

.btn.small_ {
	padding: 0.5rem 1rem;

	font-size: 0.75rem;
}

.btn:hover {
	filter: opacity(0.8);
}

.btn > i,
.link > i {
	font-size: 1rem;
	width: clamp(1rem, 1rem, 1rem);
	height: clamp(1rem, 1rem, 1rem);

	margin: 0 -0.25rem;
}

.btn.btn-primary,
.btn.btn-primary:active,
.btn.btn-primary:focus,
.btn.btn-primary:hover {
	color: var(--color-white);
	background: var(--color-primary);
	border: 1px solid var(--color-primary);
}

.btn.btn-dark,
.btn.btn-dark:active,
.btn.btn-dark:focus,
.btn.btn-dark:hover {
	color: var(--color-white);
	background: var(--color-dark);
	border: 1px solid var(--color-dark);
}

.btn.btn-primary-outline,
.btn.btn-primary-outline:active,
.btn.btn-primary-outline:focus,
.btn.btn-primary-outline:hover {
	color: var(--color-primary);
	background: transparent;
	border: 1px solid var(--color-primary);
}

.btn.btn-grey-outline,
.btn.btn-grey-outline:active,
.btn.btn-grey-outline:focus,
.btn.btn-grey-outline:hover {
	color: var(--color-dark);
	background: transparent;
	border: 1px solid var(--color-dark-16);
}

.btn.btn-white-outline,
.btn.btn-white-outline:active,
.btn.btn-white-outline:focus,
.btn.btn-white-outline:hover {
	color: var(--color-white);
	background: transparent;
	border: 1px solid var(--color-white);
}

/* alert */

.alert {
	padding: 0.75rem 1rem;
	margin: 0;

	/* background: transparent; */

	font-weight: 500;
	font-size: 0.85rem;

	border-width: 1px;

	border-radius: 0.75rem;

	display: flex;
	align-items: center;
}

.alert i {
	font-size: 1rem;

	width: 1rem;
	height: 1rem;

	display: inline-flex;
	align-items: center;
	justify-content: center;
}

.alert span {
	position: relative;
	bottom: -0.5px;
}

.alert.slim {
	padding: 0;

	border-width: 0;
}

.alert.alert-danger {
	border-color: var(--color-red);
	color: var(--color-red);
}

.alert.alert-red {
	border-color: transparent;
	background: var(--color-red-04);
	color: var(--color-red-dark);
}

.alert.alert-red a {
	color: var(--color-red);

	text-decoration: underline;
}

.alert.alert-red > i {
	color: var(--color-red);
}

.alert.alert-yellow {
	border-color: transparent;
	background: var(--color-yellow-04);
	color: var(--color-yellow);
}

.alert.alert-default {
	border-color: transparent;
	background: var(--color-dark-04);
	color: var(--color-dark);
}

.alert.alert-green {
	border-color: transparent;
	background: var(--color-green-08);
	color: var(--color-dark);
}

.alert.alert-primary {
	border-color: transparent;
	background: var(--color-primary-04);
	color: var(--color-primary-dark);
}

.alert.alert-primary a {
	color: var(--color-primary);

	text-decoration: underline;
}

.alert.alert-primary > i {
	color: var(--color-primary);
}

/* forms */

::placeholder {
	color: var(--color-dark-48);
}

.input {
	padding: 0.75rem 1rem;

	height: auto;
	width: 100%;

	display: flex;
	align-items: center;

	border-radius: 0.75rem;

	-webkit-appearance: none;
	appearance: none;

	border: 1px solid var(--color-dark-16);
	background: var(--color-white);
	color: var(--color-dark);
}

.input.disabled,
.input:disabled {
	opacity: 0.4;
}

.input > i[class*="fi-rr-caret-down"] {
	margin-left: auto;
}

.input:active,
.input:focus,
.input:focus-visible,
.input:focus-within {
	border: 1px solid var(--color-dark-32);
	outline: 0 !important;
}

.form-check-input:checked {
	background: var(--color-primary);
	border-color: var(--color-primary);
}

.form-check {
	margin: 0;
	padding-left: 0;

	display: flex;
	align-items: center;

	min-height: unset;
}

.form-check > input.form-check-input {
	margin-left: 0;
}

.form-check > label.form-check-label {
	font-size: 0.9rem;

	padding-top: 0.15rem;

	display: block;
	margin-left: 0.75rem;
}

.form-check > label.form-check-label i {
	position: relative;
	bottom: -2px;
}

.form-switch .form-check-input {
	width: 3.5rem;
	height: 1.75rem;

	margin: 0;
}

.form-switch.small .form-check-input {
	width: 2.5rem;
	height: 1.25rem;

	border-color: var(--color-dark-24);
}

.form-switch.small .form-check-input:focus {
	box-shadow: none;

	border-color: var(--color-dark-24);

	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e");
}

.form-switch.small .form-check-input:checked {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgb%28255, 255, 255%29'/%3e%3c/svg%3e");
}

.form-check-input:checked[type="checkbox"] {
	background-repeat: no-repeat;

	margin: 0;
}

div:has(> .input) label,
div:has(> .dropdown_) label {
	margin-bottom: 0.5rem;

	font-weight: 500;
	font-size: 0.85rem;
}

/* table */

div.table-container {
	width: 100%;
}

div.table-container > table {
	width: 100%;
	height: 100%;

	border-spacing: 0;
}

div.table-container > table > thead > tr > td {
	padding: 0 1rem 0.75rem 1rem;

	font-weight: 600;
	font-size: 0.85rem;
}

@media (max-width: 991px) {
	div.table-container > table > thead > tr > td,
	div.table-container > table > tbody > tr > td > span span.buttons .btn {
		white-space: nowrap;
	}
	div.table-container {
		max-width: 100%;

		overflow-x: scroll;
	}
}

div.table-container > table > tbody > tr > td {
	padding: 0 0 0.75rem;
}

div.table-container > table > tbody > tr > td > span {
	border: 1px solid var(--color-dark-16);
	border-width: 1px 0;

	display: flex;
	align-items: center;

	width: 100%;
	height: 100%;

	padding: 0.75rem 0.75rem 0.75rem 1rem;
}

div.table-container > table > tbody > tr > td > span span.buttons {
	display: flex;
	align-items: center;
	gap: 0.5rem;
	flex-wrap: wrap;

	width: 100%;
}

div.table-container > table > tbody > tr > td > span span.buttons.end {
	justify-content: flex-end;
}

div.table-container > table > tbody > tr > td > span span.buttons .btn {
	padding: 0.5rem 1rem;

	font-size: 0.85rem;

	border-radius: 0.5rem;
}

div.table-container > table > tbody > tr > td:first-child > span {
	border-radius: 0.75rem 0 0 0.75rem;

	border-width: 1px 0 1px 1px;
}

div.table-container > table > tbody > tr > td:last-child > span {
	border-radius: 0 0.75rem 0.75rem 0;

	border-width: 1px 1px 1px 0;
}

/* pagination */

nav.pagination {
	display: flex;
	align-items: flex-start;
	justify-content: space-between;

	margin: 0;
}

nav.pagination span.desc {
	color: var(--color-dark-64);

	font-size: 0.85rem;

	display: inline-flex;
}

nav.pagination ul {
	display: flex;
	gap: 0.5rem;

	list-style: none;

	padding: 0;
}

nav.pagination ul li a {
	width: 2rem;
	height: 2rem;

	display: inline-flex;
	align-items: center;
	justify-content: center;

	font-weight: 500;
	line-height: 1;

	border-radius: 8px;

	color: var(--color-dark-64);
}

nav.pagination ul li a i {
	display: flex;
}

nav.pagination ul li:first-child a,
nav.pagination ul li:last-child a,
nav.pagination ul li a:hover {
	opacity: 0.8;

	background: var(--color-dark-08);
}

nav.pagination ul li a.active {
	background: var(--color-primary);
	color: #ffffff;
}

nav.pagination ul li a.disabled {
	opacity: 0.4;
}

@media (max-width: 991px) {
	nav.pagination {
		flex-direction: column;
		gap: 1rem;
	}
}

/* tags */

.tags {
	display: flex;
	gap: 0.5rem;
	flex-wrap: wrap;

	width: 100%;
}

.tags > span {
	display: inline-flex;
	align-items: center;
	gap: 0.5rem;

	background: var(--color-dark-08);
	color: var(--color-dark-80);

	padding: 0.45rem 0.85rem 0.45rem;

	border-radius: 2rem;

	font-size: 0.75rem;
	font-weight: 500;
	line-height: 1;
}

.tags > span > strong {
	font-weight: 600;
	color: var(--color-dark);
}

.tags > span.primary {
	background: var(--color-primary);
	color: var(--color-white);
}

.tags > span.primary {
	border: 1px solid var(--color-primary);
	color: var(--color-primary);
	background: transparent;
}

.tags > span.primary > strong {
	background: var(--color-primary);
	color: var(--color-white);
}

.tags > span.green {
	background: var(--color-green);
	color: var(--color-white);
}

.tags > span.red {
	background: var(--color-red);
	color: var(--color-white);
}

.tags > span.loading {
	animation: 1s linear infinite progress-bar-stripes;

	color: var(--color-white);
	background-color: var(--color-primary);
	background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
	background-size: 1rem 1rem;
}

@keyframes progress-bar-stripes {
	0% {
		background-position-x: 1rem;
	}
}

/* dropdown_ */

div.dropdown_ {
	position: relative;

	width: 100%;

	display: inline-flex;
}

div.dropdown_ > button {
	width: 100%;
}

div.dropdown_ > button > div.input span:has(> span.icon) {
	display: inline-flex;
	align-items: center;
	gap: 0.75rem;
}

div.dropdown_ > button > div.input span.icon {
	display: inline-flex;
	align-items: center;
	justify-content: center;
}

div.dropdown_ > button > div.input span.icon > i,
div.dropdown_ > button > div.input span.icon > ion-icon {
	min-width: 1rem;
	min-height: 1rem;

	display: inline-flex;
	align-items: center;
	justify-content: center;

	font-size: 1rem;
}

div.dropdown_ > aside.floater-dropdown {
	opacity: 0;
	visibility: hidden;
}

aside.floater-dropdown {
	position: absolute;

	z-index: 8;
}

/* list */

aside.floater-dropdown {
	background: var(--color-white);
	border: 1px solid var(--color-dark-16);
	box-shadow: 0 0.5rem 5rem -1rem var(--color-dark-16);

	border-radius: 0.75rem;

	padding: 0.25rem 0;

	display: flex;
	flex-direction: column;

	min-width: 10rem;
}

aside.floater-dropdown > ul > li {
	padding: 0.5rem 0.75rem;

	cursor: pointer;

	font-size: 0.85rem;

	color: var(--color-dark);

	display: flex;
	justify-content: space-between;
	align-items: center;
}

/* aside.floater-dropdown > ul > li:first-child {
	border-top-left-radius: 0.5rem;
	border-top-right-radius: 0.5rem;
}

aside.floater-dropdown > ul > li:last-child {
	border-bottom-left-radius: 0.5rem;
	border-bottom-right-radius: 0.5rem;
} */

aside.floater-dropdown > ul > li span:has(> span.icon) {
	display: inline-flex;
	align-items: center;
	gap: 0.75rem;
}

aside.floater-dropdown > ul > li span.icon {
	display: inline-flex;
	align-items: center;
	justify-content: center;
}

aside.floater-dropdown > ul > li span.icon > i,
aside.floater-dropdown > ul > li span.icon > ion-icon {
	min-width: 1rem;
	min-height: 1rem;

	display: inline-flex;
	align-items: center;
	justify-content: center;

	font-size: 1rem;
}

aside.floater-dropdown > ul > li > i.fi-br-check {
	display: none;
}

aside.floater-dropdown > ul > li:hover {
	background: var(--color-dark-04);
}

aside.floater-dropdown > ul > li.selected > i.fi-br-check {
	color: var(--color-primary);

	display: inline-flex;
}
